LDEXP(3)

NAME
ldexp - multiply floating-point number by integral power of 2

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
ldexp(double x, int exp);
float
ldexpf(float x, int exp);

DESCRIPTION
The ldexp() function multiplies a floating-point number by an integral power of 2.

RETURN VALUES
The ldexp() function returns the value of x times 2 raised to the power exp.

If the input x is a NaN, infinity, or 0.0, it is returned unchanged.

If the result would cause an overflow, the global variable errno is set to ERANGE and infinity is returned, with the same sign as x.

If the result would cause underflow to 0.0, the global variable errno is set to ERANGE and the value 0.0 is returned.

SEE ALSO
frexp(3), math(3), modf(3)

STANDARDS
The ldexp() function conforms to ansiC.